API Key
Test API Key
POST
/
api-key
/
test
curl --request POST \
--url https://api.tidyhire.app/api/public/v1/api-key/test \
--header 'x-tidyhire-api-key: <token>'
fetch('https://api.tidyhire.app/api/public/v1/api-key/test', {
method: 'POST',
headers: {
'x-tidyhire-api-key': '<token>',
},
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error('Error:', error));
<?php
$url = 'https://api.tidyhire.app/api/public/v1/api-key/test';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-tidyhire-api-key: <token>'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.tidyhire.app/api/public/v1/api-key/test"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Set("x-tidyhire-api-key", "<token>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println("Response Status:", resp.Status)
fmt.Println("Response Body:", string(body))
}
import java.net.HttpURLConnection;
import java.net.URL;
public class TestApiKey {
public static void main(String[] args) {
try {
URL url = new URL("https://api.tidyhire.app/api/public/v1/api-key/test");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("POST");
con.setRequestProperty("x-tidyhire-api-key", "<token>");
int status = con.getResponseCode();
System.out.println("Response Status: " + status);
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.tidyhire.app/api/public/v1/api-key/test')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri.path)
request['x-tidyhire-api-key'] = '<token>'
response = http.request(request)
puts response.body
{
"success": true,
"message": "API key is valid"
}
curl --request POST \
--url https://api.tidyhire.app/api/public/v1/api-key/test \
--header 'x-tidyhire-api-key: <token>'
fetch('https://api.tidyhire.app/api/public/v1/api-key/test', {
method: 'POST',
headers: {
'x-tidyhire-api-key': '<token>',
},
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error('Error:', error));
<?php
$url = 'https://api.tidyhire.app/api/public/v1/api-key/test';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-tidyhire-api-key: <token>'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.tidyhire.app/api/public/v1/api-key/test"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Set("x-tidyhire-api-key", "<token>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println("Response Status:", resp.Status)
fmt.Println("Response Body:", string(body))
}
import java.net.HttpURLConnection;
import java.net.URL;
public class TestApiKey {
public static void main(String[] args) {
try {
URL url = new URL("https://api.tidyhire.app/api/public/v1/api-key/test");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("POST");
con.setRequestProperty("x-tidyhire-api-key", "<token>");
int status = con.getResponseCode();
System.out.println("Response Status: " + status);
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.tidyhire.app/api/public/v1/api-key/test')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri.path)
request['x-tidyhire-api-key'] = '<token>'
response = http.request(request)
puts response.body
{
"success": true,
"message": "API key is valid"
}
Authorizations
string | header
required
API key of the form
<token>, passed as the x-tidyhire-api-key header.Response
API key validated successfullyboolean
Indicates if the request was successful. Example:
truestring
Validation result message.
Was this page helpful?
⌘I
curl --request POST \
--url https://api.tidyhire.app/api/public/v1/api-key/test \
--header 'x-tidyhire-api-key: <token>'
fetch('https://api.tidyhire.app/api/public/v1/api-key/test', {
method: 'POST',
headers: {
'x-tidyhire-api-key': '<token>',
},
})
.then((response) => response.json())
.then((data) => console.log(data))
.catch((error) => console.error('Error:', error));
<?php
$url = 'https://api.tidyhire.app/api/public/v1/api-key/test';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-tidyhire-api-key: <token>'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.tidyhire.app/api/public/v1/api-key/test"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Set("x-tidyhire-api-key", "<token>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println("Response Status:", resp.Status)
fmt.Println("Response Body:", string(body))
}
import java.net.HttpURLConnection;
import java.net.URL;
public class TestApiKey {
public static void main(String[] args) {
try {
URL url = new URL("https://api.tidyhire.app/api/public/v1/api-key/test");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("POST");
con.setRequestProperty("x-tidyhire-api-key", "<token>");
int status = con.getResponseCode();
System.out.println("Response Status: " + status);
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.tidyhire.app/api/public/v1/api-key/test')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri.path)
request['x-tidyhire-api-key'] = '<token>'
response = http.request(request)
puts response.body
{
"success": true,
"message": "API key is valid"
}